Bug 1028833 - it fails with an error
it fails with an error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 20:29 EST by Alves
Modified: 2014-01-25 18:27 EST (History)
5 users (show)

See Also:
Fixed In Version: system-config-services-0.111.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 03:08:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug messages (1020 bytes, text/plain)
2013-11-14 22:37 EST, lnie
no flags Details

  None (edit)
Description Alves 2013-11-10 20:29:22 EST
Description of problem:
[root@fedora20 ~]# system-config-services 
Couldn't acquire connection to systemd. Falling back to legacy SysV scheme.
Traceback (most recent call last):
  File "/sbin/system-config-services", line 49, in <module>
    UIController(use_dbus=use_dbus).run()
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1230, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 121, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 74, in list_services
    return self.herder_interface.list_services()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 51, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist

[root@fedora20 ~]# 


Version-Release number of selected component (if applicable):

20
How reproducible:

always
Steps to Reproduce:
1.open terminal
2.type system-config-services
3.type enter

Actual results:


Expected results:


Additional info:
Comment 1 Alves 2013-11-11 00:25:50 EST
In Fedora 20, I tried also unsuccessfully to create a bonding with virt-manager, and it fails with "str object has no attribute XMLDesc". It is most frustrating. I read that bonding could be configured with network manager in Fedora 20, but it is not the case. Any idea how can I fix this?
Comment 2 Nils Philippsen 2013-11-11 05:14:43 EST
I could reproduce your system-config-services issue here.

(In reply to Alves from comment #1)
> In Fedora 20, I tried also unsuccessfully to create a bonding with
> virt-manager, and it fails with "str object has no attribute XMLDesc". It is
> most frustrating. I read that bonding could be configured with network
> manager in Fedora 20, but it is not the case. Any idea how can I fix this?

Please report a bug against virt-manager for this.
Comment 3 Fedora Update System 2013-11-11 16:27:10 EST
system-config-services-0.111.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-services-0.111.0-1.fc20
Comment 4 Nils Philippsen 2013-11-11 16:29:41 EST
NB: You can (and should) run system-config-services as a normal user.
Comment 5 Heiko Adams 2013-11-12 16:06:04 EST
The latest version crashes at startup:
$ system-config-services
Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 47, in <module>
    from scservices.gui import UIController
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 26, in <module>
    from scservices import config
  File "/usr/lib/python2.7/site-packages/scservices/config.py", line 1, in <module>
    REV=d4716b535d15a7bf2409002d621b8df5e320c0c8
NameError: name 'd4716b535d15a7bf2409002d621b8df5e320c0c8' is not defined
Comment 6 Fedora Update System 2013-11-12 21:13:19 EST
Package system-config-services-0.111.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-services-0.111.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21176/system-config-services-0.111.0-1.fc20
then log in and leave karma (feedback).
Comment 7 lnie 2013-11-13 02:51:25 EST
failed with the message in #comment5
Comment 8 Nils Philippsen 2013-11-13 08:41:20 EST
Whoops. Something went drastically wrong with generating scservices/config.py. Hang on.
Comment 9 Fedora Update System 2013-11-14 05:29:06 EST
system-config-services-0.111.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-services-0.111.1-1.fc20
Comment 10 Fedora Update System 2013-11-14 14:18:17 EST
Package system-config-services-0.111.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-services-0.111.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21347/system-config-services-0.111.1-1.fc20
then log in and leave karma (feedback).
Comment 11 lnie 2013-11-14 22:28:49 EST
system-config-services can start successfully now ,but it seems that there is still something wrong.
I try to start abrt-vmcore or other ones which are inactive by default using the start button.The first time,Authentication box come up,after I type the password,nothing happens.what's more,when I try to start other ones 
using the start button,nothing happens, even the box dosen't come out .
Comment 12 lnie 2013-11-14 22:37:49 EST
Created attachment 824274 [details]
bug messages
Comment 13 lnie 2013-11-14 23:25:26 EST
Also,abrt popup comes out to ask me report this error
Comment 14 Petr Schindler 2013-11-18 03:08:17 EST

*** This bug has been marked as a duplicate of bug 790339 ***
Comment 15 Fedora Update System 2013-12-04 11:54:02 EST
system-config-services-0.111.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.